import router from '.'

export function goToChatWithOutletRoboot(data: { outletId: number }) {
  router.push({
    name: 'Chat',
    query: {
      targetId: data.outletId,
      outlet: 'true',
    },
  })
}

export function gotoChatWithStaff(data: { address: string; beginChat?: boolean }) {
  router.push({
    name: 'Chat',
    query: {
      targetId: data.address,
      beginChat: data.beginChat ? 'true' : undefined,
    },
  })
}
